/*
    WaveInfo.h - show wave header, mem. useage, etc.

    Will EIghteen: will@opaline.demon.co.uk
*/

#ifndef WAVEINFOCMD_H
#define WAVEINFOCMD_H

#include <NoUndoCmd.h>

#define BUFSIZE 1024


class DMenuCmd;

class WaveInfoCmd : public NoUndoCmd
{
	protected:
		virtual void doCommand();	// show wave info menu
		
	public:
		WaveInfoCmd ( const char *, int active = TRUE );
		virtual const char *const className() { return ( "WaveInfoCmd" ); }

	private:
		static void dMenuSelectionCallback ( void *, unsigned int, char * );
		
		// 'wave info' infoDialogManager callbacks
		static void infoOkCallback ( void * );
		static void infoCancelCallback ( void * );

		void waveInfo ( unsigned int );

		unsigned _arrayItems;	// num items on menu
		Boolean _menuRealised;
		DMenuCmd *_dMenu;
};

#endif

/*
  Notes:
  
  Like ManageCmd, there is no way to determine which windows were already
  iconified, so undo is difficult to support.
*/
